Upgrade from 5.6.5 to 6.3.2 elasticsearch fails due to "Caused by: java.lang.IllegalStateException: unexpected distribution flavor []; your distribution is broken"


(vijay) #1

am trying to upgrade elasticsearch version from 5.6.5 to 6.3.2 in centos7 OS and am seeing below error

[2018-09-19T14:52:15,414][ERROR][o.e.b.ElasticsearchUncaughtExceptionHandler] [ips-estestupgrade] fatal error in thread [main], exiting

java.lang.ExceptionInInitializerError: null

at org.elasticsearch.common.logging.DeprecationLogger.<clinit>(DeprecationLogger.java:164) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.common.unit.ByteSizeValue.<clinit>(ByteSizeValue.java:39) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.http.HttpTransportSettings.<clinit>(HttpTransportSettings.java:84) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.bootstrap.Security.addSocketPermissionForHttp(Security.java:342) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.bootstrap.Security.addBindPermissions(Security.java:329) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.bootstrap.Security.createPermissions(Security.java:254) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.bootstrap.Security.configure(Security.java:122) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:208) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:326) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:136) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:127) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.3.1.jar:6.3.1]

at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.3.1.jar:6.3.1]

at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:86) ~[elasticsearch-6.3.1.jar:6.3.1]

Caused by: java.lang.IllegalStateException: unexpected distribution flavor []; your distribution is broken

at org.elasticsearch.Build$Flavor.fromDisplayName(Build.java:69) ~[elasticsearch-6.3.1.jar:6.3.1]

at org.elasticsearch.Build.<clinit>(Build.java:118) ~[elasticsearch-6.3.1.jar:6.3.1]

... 16 more

please help to fix the above problem


(Ryan Ernst) #2

How did you install elasticsearch?


(vijay) #3

I installed rpm using ansible and systemctl command to start elasticsearch


(vijay) #4

@rjernst can you please help us on priority to resolve the issue since its completely blocking us to move forward?


(system) #5

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.